<%_ if (position === 'import') { _%>
<%_ } _%>
<%_ if (position === 'methodInterface') { _%>

    Optional<UReportFileDTO> getByName(String name);

    void deleteByName(String name);
<%_ } _%>
<%_ if (position === 'method') { _%>

     /**
     * Get the uReportFile by name.
     *
     * @param name the name of the entity.
     */
    public Optional<UReportFileDTO> getByName(String name) {
        log.debug("Request to delete UReportFile : {}", name);
        return uReportFileRepository.getByName(name).map(uReportFileMapper::toDto);
    }

    /**
     * Delete the uReportFile by name.
     *
     * @param name the name of the entity.
     */
    public void deleteByName(String name) {
        log.debug("Request to delete UReportFile : {}", name);
        uReportFileRepository.deleteByName(name);
    }
<%_ } _%>
